import { OnInit, EventEmitter, TemplateRef, ComponentFactoryResolver, AfterViewInit, ViewContainerRef } from '@angular/core';
import { DatatableComponent, DatatableFooterDirective } from '@swimlane/ngx-datatable';
import { FooterConfigurationService } from '../services/configuration.service';
export declare function provideParent(component: any, parentType: any): {
    provide: any;
    useExisting: import("@angular/core").Type<any>;
};
export declare class DatatableFooterComponent implements OnInit, AfterViewInit, DatatableFooterDirective {
    config: FooterConfigurationService;
    private componentFactoryResolver;
    private viewContainerRef;
    pagerLeftArrowIcon: string;
    pagerRightArrowIcon: string;
    pagerPreviousIcon: string;
    pagerNextIcon: string;
    pageSizes?: any[];
    totalNumber?: boolean;
    linage?: boolean;
    displayBothEnds?: boolean;
    pageNumber?: boolean;
    page?: number;
    pageJumpTime?: number;
    pageChange: EventEmitter<any>;
    maxPage: EventEmitter<any>;
    _templateInput: TemplateRef<any>;
    _templateQuery: TemplateRef<any>;
    _templateQueryDefault: TemplateRef<any>;
    get template(): TemplateRef<any>;
    footerHeight: number;
    totalMessage: string;
    selectedMessage: string | boolean;
    set datatable(val: DatatableComponent);
    get datatable(): DatatableComponent;
    pageStaticsTemplateRef: TemplateRef<any>;
    private _datatable;
    private _pageStaticsComponentRef;
    constructor(config: FooterConfigurationService, componentFactoryResolver: ComponentFactoryResolver, viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    onFooterPage(event: any): void;
    emitPage(event: any): void;
    emitMaxPage(page: number): void;
}
